---
title: ACH
slug: apis/payments/ach
description: Facilitate ACH payments via Cross River's ACH API, supporting single payments, client batches, reversals, returns, and utilization monitoring. Originate and receive payments through the Federal Reserve ACH network.
docTags: 
createdAt: 2024-08-08T13:41:41.801Z
---

:::CtaButton{label="ACH concepts" docId="3tt7a4nY2fyVMzEEmFwUt" openInNewTab="true"}

:::

The Cross River ACH API allows you to both originate and receive payments through the Federal Reserve ACH network.

:::hint{type="info"}
[Get started](docId\:Z-MVwOV-p00-xX082NabK) with Cross River APIs.
:::

**GET calls**

- Add query parameters to filter the response the API returns to general GET calls.
- Use [Pagination](docId:6EKvQUYWeVh9x4zxmuKlJ) to control presentation of your results.

This table presents ACH APIs that we describe in detail.

| Action                                                            | API Call                                                 | Description                                                                                                           |
| ----------------------------------------------------------------- | -------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| [Send ACH  transaction](docId\:ILwmF5qnTMLo30D2H3rCH)             | `POST /ach/v1/payments`                                  | Sends a single payment using ACH                                                                                      |
| [Reversals](docId\:vzl0bctqLshMKGDQ13zjT)                         | `POST /ach/v1/payments/{id}/reversals`                   | Requests to retrieve funds from a payment sent in error, such as a duplicate payment or one sent to the wrong account |
| [Returns](docId:7ji1ODgdnaKSdq88PIVDu)                            | `POST /ach/v1/payments/{id}/returns`                     | Initiates a return for an existing ACH payment                                                                        |
| [Cancel payment](docId\:J4qt27UdIV0QB-3pKKsB9)                    | `POST /ach/v1/payments/{id}/cancel`                      | Cancels an ACH payment                                                                                                |
| [Send batch](docId:0Hu-sm4gNXr4XbIZCHkTA)                         | `POST /ach/v1/client-batches`                            | Originates several payments together in a batch                                                                       |
| [Cancel batch](docId\:u_LIED3U9ey-YoPB_707j)                      | `POST /ach/v1/client-batches/{id}/cancel`                | Cancels any incomplete payments and stops further processing of any remaining payments in the batch                   |
| [Limits utilization](docId\:ht_IljVS1T9Cq4zIIZLc1)                | `GET ach/v1/limits-utilization/{productId}`              | Returns the percentage of your ACH payment limit used according to the specific product used to initiate ACH payments |
| [Limits utilization by limit date](docId\:JXOBeUN98rSUMBxl15cQd)  | `GET  ach/v1/limits-utilization/{productId}/{limitDate}` | Returns the percentage of your ACH payment limit used for a specific product ID and date                              |
| [Simulate inbound ACH origination](docId\:rABd6qMClRqKEWOCp3QnQ)  | `POST /v1/payments/simulated-inbound-originations`       | Simulates an incoming ACH payment from a different bank into Cross River                                              |

# Related topics

- [Webhook events: ACH](docId\:AVRvavzdk7hC0UfXn6XZ9)&#x20;
- [Request and response codes: ACH](docId\:oDtRP7ARfnpQuFEGy4Sfh)&#x20;
- [Error codes: ACH](docId\:V5mdmpxa7dsdrx9LX7n9c)&#x20;

# Tutorials

See our API tutorials to learn how to:

- [Send an ACH](docId\:HLIqOJNMHJwJRI29Z0Ryt): Originate a standard or same-day ACH payment.
- [Send a client batch](docId:93yC84GGRygSZe1OPiW2m): Send two or more payments in the same call.
- [Simulate inbound ACH](docId\:XiG1oe0IP7L9Q-Ii3U-Mk): Test the system with our simulation endpoints. You can also use this endpoint to fund a test account.

